https://management-test.adyen.com/v1/companies/{companyId}/terminalOrdersReturns a lists of terminal products orders for the company identified in the path. To filter the list, use one or more of the query parameters. To make this request, your API credential must have one of the following roles: * Management API—Terminal ordering read * Management API—Terminal ordering read and write
The unique identifier of the company account.
Your purchase order number.
The order status. Possible values (not case-sensitive): Placed, Confirmed, Cancelled, Shipped, Delivered.
The number of orders to skip.
The number of orders to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/companies/{companyId}/terminalOrders' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/companies/{companyId}/terminalOrdersReturns a lists of terminal products orders for the company identified in the path. To filter the list, use one or more of the query parameters. To make this request, your API credential must have one of the following roles: * Management API—Terminal ordering read * Management API—Terminal ordering read and write
The unique identifier of the company account.
Your purchase order number.
The order status. Possible values (not case-sensitive): Placed, Confirmed, Cancelled, Shipped, Delivered.
The number of orders to skip.
The number of orders to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/companies/{companyId}/terminalOrders' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}